Bug 438156 - Review Request: inksmoto - xmoto level editor for inkscape
Summary: Review Request: inksmoto - xmoto level editor for inkscape
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 436504
TreeView+ depends on / blocked
 
Reported: 2008-03-19 13:55 UTC by Gwyn Ciesla
Modified: 2008-05-19 12:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 12:24:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Gwyn Ciesla 2008-03-19 13:55:21 UTC
Inksmoto Level Editor is the new xmoto level editor. It uses Inkscape to
draw levels, then it allows you to save your drawing as a xmoto level
(.lvl file). It also allow you to edit xmoto level properties from
within Inkscape such as make background block, strawberries, ...

Inksmoto Level Editor is written in Python, it's an Inkscape extension.

SPEC URL: http://zanoni.jcomserv.net/fedora/inskmoto/inksmoto.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/inksmoto/inksmoto-0.4.1-1.fc8.src.rpm

The current rpmlint warnings regarding permissions of the .py files are caused
by having the .py files match the perms of te .py files provided by the inkscape
package.  If this needs to be fixed in inksmoto, I suggest it be fixed in
inkscape as well.

Comment 1 Hans de Goede 2008-05-15 19:13:15 UTC
Full review done.

Must Fix
--------
* License should be GPLv2 not GPLv2+ the README states GPL v2.0 not GPL v2.0
  and later
* .py files do not provide shebang nor a main function and therefor should not
  be executable. If inkscape has its included extensions executable too, that is
  an inkscape bug, feel free to file a bug there



Comment 3 Hans de Goede 2008-05-15 19:27:30 UTC
Ok: approved!


Comment 4 Gwyn Ciesla 2008-05-15 19:47:33 UTC
Sweet, thanks!  

New Package CVS Request
=======================
Package Name: inksmoto
Short Description: Inksmoto Level Editor is the new xmoto level editor
Owners: limb
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-05-15 22:54:56 UTC
cvs done.

Comment 6 Gwyn Ciesla 2008-05-16 11:56:57 UTC
Initial import failed:
**** Access denied: limb is not in ACL for rpms/inksmoto/devel

I would think this'd have worked, it's been 13 hours.

Comment 7 Kevin Fenzi 2008-05-16 15:32:13 UTC
Should be fixed now. Can you try again?

Comment 8 Gwyn Ciesla 2008-05-16 15:48:14 UTC
Works great.  Thanks!

Comment 9 Gwyn Ciesla 2008-05-19 12:24:50 UTC
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.